summaryrefslogtreecommitdiff
path: root/patches/binutils/2.20/270-better_file_error.patch
diff options
context:
space:
mode:
authorJoachim Nilsson <jocke@vmlinux.org>2010-01-07 00:08:08 (GMT)
committerJoachim Nilsson <jocke@vmlinux.org>2010-01-07 00:08:08 (GMT)
commitcfbcdd378646594887c9d488aee529c07838ee8e (patch)
tree51a79051c2c5d82c913c6ab8a2f111d5dde684dc /patches/binutils/2.20/270-better_file_error.patch
parent6dc69b4938fee7c3e33164e5666805d6607943a3 (diff)
binutils/binultils: import binutils-2.20 patches from OE
This is a set of patches for binutils-2.20 that have been "ported", or rather shamelessly stolen, from the OpenEmbedded project: http://cgit.openembedded.org/cgit.cgi/openembedded/tree/recipes/binutils/binutils-2.20 Tried and tested on Arm (big-endian Xscale, and little-endian i.MX27) with GCC 4.4.2 Signed-off-by: Joachim Nilsson <jocke@vmlinux.org>
Diffstat (limited to 'patches/binutils/2.20/270-better_file_error.patch')
-rw-r--r--patches/binutils/2.20/270-better_file_error.patch43
1 files changed, 43 insertions, 0 deletions
diff --git a/patches/binutils/2.20/270-better_file_error.patch b/patches/binutils/2.20/270-better_file_error.patch
new file mode 100644
index 0000000..f337611
--- /dev/null
+++ b/patches/binutils/2.20/270-better_file_error.patch
@@ -0,0 +1,43 @@
+#!/bin/sh -e
+## 006_better_file_error.dpatch by David Kimdon <dwhedon@gordian.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Specify which filename is causing an error if the filename is a
+## DP: directory. (#45832)
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c binutils-2.14.90.0.6/bfd/opncls.c
+--- /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c 2003-07-23 16:08:09.000000000 +0100
++++ binutils-2.14.90.0.6/bfd/opncls.c 2003-09-10 22:35:00.000000000 +0100
+@@ -150,6 +150,13 @@
+ {
+ bfd *nbfd;
+ const bfd_target *target_vec;
++ struct stat s;
++
++ if (stat (filename, &s) == 0)
++ if (S_ISDIR(s.st_mode)) {
++ bfd_set_error (bfd_error_file_not_recognized);
++ return NULL;
++ }
+
+ nbfd = _bfd_new_bfd ();
+ if (nbfd == NULL)